body{
    margin: 0;
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}

:root {
  --change: 0%;
}

.container{
    width: 900px;
    margin: auto;
    max-width: 95vw;
    text-align: center;
    padding-top: 10px;
     padding-right: 0px;
     transition: all 1.4s ease;
}
    @media  screen 
  and (min-device-width: 1400px) 
  and (max-device-width: 1600px)
  and (max-device-height: 880px)  
  {
.container{
    width: 900px;
    margin: auto;
    /*max-width: 95vw;*/
    text-align: center;
    padding-top: 10px;
     padding-right: 0px;
     transition: all 1.4s ease;
}
    }
svg{
    width: 30px;
}
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
}
.icon-cart{
    position: absolute;
}
.icon-cart span {
    position: relative;
    /* background-color: red; */
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0%;
    color: #3e2a1f;
    margin-top: -7.5%;
    z-index: 100;
    font-size: 15px;
    font-family: 'Quicksand', sans-serif;
    font-weight: 900;
    right: -6px;
    top: -24px;
}

.totalp {
    position: absolute;
    /* background-color: red; */
    width: 20px;
    height: 20px;
    /* display: flex
; */
    /* justify-content: center; */
    /* align-items: center; */
    border-radius: 0%;
    color: #fbeee0;
    z-index: 100;
    font-size: 30px;
    font-weight: 900;
    right: 101px;
    margin-top: -34.5px;
}

 @media screen and (min-device-width: 1200px) {
.totalp {
position: absolute;
        /* background-color: red; */
        width: 20px;
        height: 20px;
        /* display: flex; */
        /* justify-content: center; */
        /* align-items: center; */
        border-radius: 0%;
        color: #fbeee0;
        z-index: 100;
        font-size: 30px;
        font-weight: 900;
        right: 165px;
        margin-top: -34.5px;
 }
}


 
 .dollar{
position: relative;
    top: -33.5px;
    left: 29px;
}


 @media screen and (min-device-width: 1200px) {
.dollar{
        position: relative;
        top: -33.5px;
        margin-left: 40%;
}
 }
 
 @media screen and (min-device-width: 1900px) {
    .dollar {
        position: relative;
        top: -33.5px;
        margin-left: 53%;
    }
}
 
 
 
  #totaldiv{
position: relative;
    left: -4px;
}


 @media screen and (min-device-width: 1200px) {
#totaldiv {
        position: relative;
}
 }
 
 
 
 
.title{
    font-size: xx-large;
}
.listProduct .item img{
    width: 90%;
    filter: drop-shadow(0 50px 20px #0009);
}
.listProduct{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}
.listProduct .item{
    background-color: #EEEEE6;
    padding: 20px;
    border-radius: 20px;
}
.listProduct .item h2{
    font-weight: 500;
    font-size: large;
}
.listProduct .item .price{
    letter-spacing: 7px;
    font-size: small;
}
.listProduct .item button{
    background-color: #353432;
    color: #eee;
    border: none;
    padding: 5px 10px;
    margin-top: 10px;
    border-radius: 20px;
    cursor:pointer;
}

/* cart */
.cartTab{
    width: 100%;
    background-color: #353432;
    padding-top: 49px;
    color: #eee;
    position: fixed;
    top: 0;
    right: -436px;
    bottom: 0;
    display: grid;
    z-index: 100;
    grid-template-rows: 70px 1fr 70px;
    transition: all 2.0s ease;
}


    @media  screen 
  and (min-device-width: 1200px) 
  and (max-device-width: 1600px)
  {
.cartTab{
    width: 100%;
    background-color: #353432;
    padding-top: 49px;
    color: #eee;
    position: fixed;
    top: 0;
    right: -2705px;
    bottom: 0;
    display: grid;
    z-index: 1000;
    grid-template-rows: 70px 1fr 70px;
    transition: all 2.0s ease;
}
    }
    


    @media  screen 
  and (min-device-width: 1400px) 
  and (max-device-width: 1600px)
  and (max-device-height: 880px)  
  {
.cartTab{
    width: 100%;
    background-color: #353432;
    padding-top: 49px;
    color: #eee;
    position: fixed;
    top: 0;
    right: -2705px;
    bottom: 0;
    display: grid;
    z-index: 1000;
    grid-template-rows: 70px 1fr 70px;
    transition: all 2.0s ease;
}
    }
    
    
    @media  screen 
  and (min-device-width: 768px) 
  and (max-device-width: 900px)
  and (min-device-height: 1000px)  
  {
.cartTab{
    width: 100%;
    background-color: #353432;
    padding-top: 49px;
    color: #eee;
    position: fixed;
    top: 0;
    right: -2705px;
    bottom: 0;
    display: grid;
    z-index: 1000;
    grid-template-rows: 70px 1fr 70px;
    transition: all 2.0s ease;
}
    }    
    
        @media screen 
  and (min-device-width: 1800px) 
  and (max-device-width: 2300px)
  {
.cartTab{
    width: 100%;
    background-color: #353432;
    padding-top: 49px;
    color: #eee;
    position: fixed;
    top: 0;
    right: -2705px;
    bottom: 0;
    display: grid;
    z-index: 1000;
    grid-template-rows: 70px 1fr 70px;
    transition: all 2.0s ease;
}
    }    

.minus{
	font-size: 25px;
    font-weight: 500;
    line-height: 24px;
}

.plus{
	font-size: 25px;
    font-weight: 500;
    line-height: 24px;
}




body.showCart .cartTab{
    padding-top: 49px;
    right: 0;
}

 @media screen and (min-device-width: 1200px) {
body.showCart .cartTab {
    padding-top: 49px;
    right: -669px;
}
 }
 
        @media screen 
  and (min-device-width: 1800px) 
  and (max-device-width: 2300px)
  {
body.showCart .cartTab {
    padding-top: 49px;
    right: -841px;
}
 }
 

body.showCart .container{
    transform: translateX(-250px);
}
.cartTab h1{
padding-top: 22px;
    padding-left: 19%;
    margin: 0;
    font-weight: 500;
    font-size: 36px;
    color: #fbeee0;
    font-family: 'Comic Neue', cursive;
}


.cartTab .btn{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    position: relative;
    top: -19px;
    padding: 0 0px;
    font-family: 'Jura', sans-serif;
}
     
.cartTab .close{
    background-color: #eee;
}
.listCart .item img{
    width: 100%;
}

.listCart .item {
    display: grid;
    grid-template-columns: 80px 85px 50px 1fr;
    gap: 10px;
    /* margin-top: -43px; */
    padding-top: 0px;
    /* height: 100%; */
    height: 153px;
    /* padding-bottom: 65px; */
    text-align: center;
    align-items: center;
}
.listCart .quantity span{
    display: inline-block;
    width: 25px;
    height: 25px;
    background-color: #eee;
    border-radius: 31%;
    color: #555;
    cursor: pointer;
}
.listCart .quantity span:nth-child(2){
position: relative;
    background-color: transparent;
    color: black;
    font-size: 18px;
    top: 3px;
    cursor: auto;
}


.listCart .item:nth-child(even){
    background-color: #eee1;
 /*height: 28%;*/ 
  }

@media screen and (min-device-width: 315px) and (max-device-width: 767px) {
.listCart .item:nth-child(even){
    background-color: #eee1;
 /*height: 23%;*/
  }
}

.listCart{
    overflow: auto;
}

  @media  screen 
   and (min-device-width: 1200px) {
.listCart{
        position: relative;
        left: 50px;
        width: 50%;
  } 
}
.listCart::-webkit-scrollbar{
    width: 0;
}

@media only screen and (max-width: 992px) {
    .listProduct{
        grid-template-columns: repeat(3, 1fr);
    }
}


/* mobile */
@media only screen and (max-width: 768px) {
    .listProduct{
        grid-template-columns: repeat(2, 1fr);
    }
}

.counter {
position: relative;
    top: -39px;
    width: 0px;
    /* margin: auto; */
    display: flex;
    align-items: center;
    left: 98px;
}




  @media  screen 
   and (min-device-width: 1200px) {
.counter {
        position: relative;
        top: -40px;
        width: 0px;
        /* margin: auto; */
        display: flex;
        align-items: center;
        left: 182%;
}
  }


.counter input {
    width: 50px;
    border: 0;
    line-height: 35px;
    font-size: 20px;
    text-align: center;
    background: #3e2a1f;
    color: #fff;
    appearance: none;
    outline: 0;
}
.counter span {
    display: block;
    font-size: 30px;
    padding: 0 10px;
    cursor: pointer;
    color: black;
    user-select: none;
}


body {
  font-family: "Montserrat", sans-serif;
  background: #2c303a;
}

.container21 {
    margin: 38px auto;
    width: 381px;
    position: relative;
    left: 0px;
    text-align: center;
}


  @media  screen 
   and (min-device-width: 1200px) {
.container21 {
        margin: 38px auto;
        width: 718px;
        position: relative;
        left: -201px;
        text-align: center;
    }
 }

.progress {
  padding: 6px;
  background: rgba(0, 0, 0, 0.25);
  border-radius: 6px;
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.08);
}

.progress-bar {
  height: 18px;
  background-color: #ee303c;
  border-radius: 4px;
  transition: 0.4s linear;
  transition-property: width, background-color;
}

.progress-striped .progress-bar {
  background-color: #FCBC51;
  width: 100%;
  background-image: linear-gradient(45deg, #fca311 25%, transparent 25%, transparent 50%, #fca311 50%, #fca311 75%, transparent 75%, transparent);
  animation: progressAnimationStrike 6s;
}

@keyframes progressAnimationStrike {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}


.progress2 {
    position: relative;
    top: -10px;
    padding: 6px;
    border-radius: 30px;
    background: rgba(0, 0, 0, 0.25);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.08);
}

  @media  screen 
   and (min-device-width: 1200px) {
.progress2 {
padding: 6px;
        width: 100%;
        position: relative;
        top: -5px;
        left: 201px;
        border-radius: 30px;
        background: rgba(0, 0, 0, 0.25);
        box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.08);
}
  }
.progress-bar2 {
  height: 18px;
  border-radius: 30px;
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.05));
  transition: 0.4s linear;
  transition-property: width, background-color;
}

.progress-moved .progress-bar2{
  background-color: green;
  animation: progressAnimation 6s;
}

@keyframes progressAnimation {
  0% {
    width: 0%;
    background-color: green;
  }
  100% {
    width: var(--change);
    background-color: green;
  }
}
.progress-bar3 {
  height: 18px;
  border-radius: 4px;
  background-image: linear-gradient(to right, #4cd964, #5ac8fa, #007aff, #7DC8E8, #5856d6, #ff2d55);
  transition: 0.4s linear;
  transition-property: width, background-color;
}

.progress-infinite .progress-bar3 {
  width: 100%;
  background-image: linear-gradient(to right, #4cd964, #5ac8fa, #007aff, #7DC8E8, #5856d6, #ff2d55);
  animation: colorAnimation 1s infinite;
}

@keyframes colorAnimation {
  0% {
    background-image: linear-gradient(to right, #4cd964, #5ac8fa, #007aff, #7DC8E8, #5856d6, #ff2d55);
  }
  20% {
    background-image: linear-gradient(to right, #5ac8fa, #007aff, #7DC8E8, #5856d6, #ff2d55, #4cd964);
  }
  40% {
    background-image: linear-gradient(to right, #007aff, #7DC8E8, #5856d6, #ff2d55, #4cd964, #5ac8fa);
  }
  60% {
    background-image: linear-gradient(to right, #7DC8E8, #5856d6, #ff2d55, #4cd964, #5ac8fa, #007aff);
  }
  100% {
    background-image: linear-gradient(to right, #5856d6, #ff2d55, #4cd964, #5ac8fa, #007aff, #7DC8E8);
  }
}

@media screen and (min-device-width: 1200px) {
.listCart .delete {
position: relative;
    font-size: 24px;
    margin-left: 599px;
    margin-top: -132px;
    display: inline-block;
    width: 30px;
    text-align: center;
    cursor: pointer;
    transition: transform 0.2s;
}
}

@media screen and (min-device-width: 1900px) {
    .listCart .delete {
        position: relative;
        font-size: 24px;
        margin-left: 660px;
        margin-top: -132px;
        display: inline-block;
        width: 30px;
        text-align: center;
        cursor: pointer;
        transition: transform 0.2s;
    }
}

@media screen and (min-device-width: 315px) and (max-device-width: 767px) {
.listCart .delete {
        position: relative;
        font-size: 24px;
        margin-left: 0px;
        margin-top: -2px;
        display: inline-block;
        width: 30px;
        text-align: center;
        cursor: pointer;
        transition: transform 0.2s;
}
}

.listCart .delete:hover {
    transform: scale(1.2);
    color: darkred;
}
